/*###### STYLESHEET FÜR DIE SUCHE ######*/

/*Suchleiste*/
#suchleiste-container {
    width: 100%;
    height: 35px;
    /*Schriftgröße des Values 'Suchbegriff'*/
    font-size: medium;
}

#suchleiste-container:focus-within > #suchvorschlaege {
    visibility: visible;
}

#suchleiste {
    background-color: #ffffff;
    display: flex;
    align-items: center;
    padding-left: 7px;
    border-radius: 5px;
    box-shadow: var(--schatten-u-r);
}

/*Design des Textes, der in die Suchleiste reingeschrieben wird --> Stichwort*/
#search {
    /*Position der Schrift "Suchbegriff"*/
    outline: none;
    height: 35px;
    width: 100%;
    transition: none;
}

#search:placeholder-shown + #search-delete {
    visibility: hidden !important;
}

/*Div, das die Suchvorschläge unterhalb der Suchleiste anzeigt*/
#suchvorschlaege {
    position: relative;
    /*nicht sichtbar, solange keine Vorschläge generiert werden*/
    visibility: hidden;
    margin-top: 4px;
    display: flex;
    flex-direction: column;
    gap: 2px;
    padding: 4px;
    outline: none;
    background-color: #ffffff;
    border-radius: 5px;
    box-shadow: var(--schatten-u-r);
    font-size: small;
    z-index: 2;
}

/*Größe des Divs mit den Suchvorschlägen*/
#suchvorschlaege > li {
    height: fit-content;
}

/*leeres Div: keine Suchvorschläge wurden generiert*/
#suchvorschlaege:empty {
    visibility: hidden !important;
    padding: 0px;
}

/*Button mit einem Vorschlag, der angeklickt werden kann und das aktuelle Suchwort ersetzt*/
.vorschlag {
    height: fit-content;
    width: 100%;
    background-color: #f6f6f6;
    outline: none;
    border-radius: 3px;
    text-align: left;
    padding-left: calc(1vw - 4px);
}

/*vorgeschlagenes Suchwort wird dunkler beim Hovern*/
.vorschlag:hover {
    background-color: rgba(128, 128, 128, 0.314);
}

/*vorgeschlagenes Suchwort wird dunkler beim Anklicken*/
.vorschlag:focus {
    background-color: rgba(128, 128, 128, 0.314);
}

/*Bei Rechtschreibfehlern kann das korrigierte Wort angeklickt werden*/
.dym-button {
    color: blue;
    text-decoration-line: underline;
}




/*Beenden der Suche Safari und Chrome*/
#search::-webkit-search-cancel-button {
    position: relative;
    right: 0.5vw;
    filter: grayscale(1);

}

/*Design des X, um die Suche zu leeren*/
#search-delete {
    filter: grayscale(1);
    margin-right: 6px;
    visibility: visible;
    font-size: x-small;
}

/*entfernt das automatisch erzeugte 'X' in Firefox*/
input[type=search]::-ms-clear {
    display: none;
    width: 0;
    height: 0;
}

/*entfernt das automatisch erzeugte 'X' in Chrome*/
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
    display: none;
}